Gecode::Int::Unary::OmegaNode Class Reference

Node for an omega tree. More...

`#include <unary.hh>`

## Public Member Functions

void | init (const OmegaNode &l, const OmegaNode &r)
| Initialize node from left child l and right child r.
void | update (const OmegaNode &l, const OmegaNode &r)
| Update node from left child l and right child r.

## Public Attributes

int | p
| Processing time for subtree.
int | ect
| Earliest completion time for subtree.

## Detailed Description

Node for an omega tree.

Definition at line 660 of file unary.hh.

## Member Function Documentation

## init()

void Gecode::Int::Unary::OmegaNode::init | ( | const OmegaNode & | l,
|  | const OmegaNode & | r )

inline

Initialize node from left child l and right child r.

Definition at line 43 of file tree.hpp.

## update()

void Gecode::Int::Unary::OmegaNode::update | ( | const OmegaNode & | l,
|  | const OmegaNode & | r )

inline

Update node from left child l and right child r.

Definition at line 48 of file tree.hpp.

## Member Data Documentation

## p

int Gecode::Int::Unary::OmegaNode::p

Processing time for subtree.

Definition at line 663 of file unary.hh.

## ect

int Gecode::Int::Unary::OmegaNode::ect

Earliest completion time for subtree.

Definition at line 665 of file unary.hh.

The documentation for this class was generated from the following files:

- gecode/int/unary.hh
- gecode/int/unary/tree.hpp